#include <iostream>

using namespace std;

int main()
{
    int n,k;

    cin >> n >> k;

    int karte[n];
    int i;
    int index;

    for(i=0;i<n;i++){
        cin >> karte[i];
        if(karte[i] == k){
            index = i;
        }
    }

    if(index == (n - 1)){
        cout << karte[0];
        return 0;
    }

    else{
        cout << karte[index + 1];
        return 0;
    }

    return 0;
}